Bug 35110 - A list box in writer document doesn't expose correct role to AT-SPI.
Summary: A list box in writer document doesn't expose correct role to AT-SPI.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2011-03-08 03:01 UTC by Dattatray Bhat
Modified: 2017-07-13 10:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Accerciser screen-shot. List Box object has unwanted parent 'panel'. (144.52 KB, image/png)
2011-03-08 03:01 UTC, Dattatray Bhat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dattatray Bhat 2011-03-08 03:01:52 UTC
Created attachment 44222 [details]
Accerciser screen-shot. List Box object has unwanted parent 'panel'.

When a list box is added to Libre Office writer document, a container is also unnecessarily added as the parent of the list box. The container object (with ROLE_PANEL) gets the name 'List Box 1'. The real list box object (with ROLE_LIST) is left without name. If the container object is removed, assistive
tools like a screen reader can access the document more easily.

Steps to reproduce:
1. Start Libre Office writer. Create a new text document. Add a list box. Add two items say 'circle' and 'triangle'. Turn Design Mode off. Save the document.

2. Start Accerciser accessibility explorer.

3. Go to the accessible tree view at top left. As shown in attached screen-shot, select the container object corresponding to the list box just created. It has role 'panel', but name 'List Box 1'. The real list box object is just below, with role 'list' but without name.

4. In the plug-in view at top right, select Interface Viewer. The first line
shows the role as 'panel', but the name 'List Box 1'.

5. Go to the IPythonConsole at bottom. Command acc.getRole() returns the role
as ROLE_PANEL.
Comment 1 Joanmarie Diggs 2011-08-08 16:15:35 UTC
Update: The real role is now ATK_ROLE_LIST_BOX
https://bugzilla.gnome.org/show_bug.cgi?id=651343
Comment 2 Björn Michaelsen 2011-12-23 11:49:54 UTC Comment hidden (obsolete)
Comment 3 Dattatray Bhat 2011-12-26 23:57:40 UTC
Today I rechecked my observation with Libre Office dev 3.5.0 beta2 and found
that the bug persists. I suggest that the bug be moved back to NEW status.
Comment 4 Florian Reisinger 2012-08-14 14:02:27 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:03:25 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:07:59 UTC Comment hidden (obsolete)
Comment 7 Florian Reisinger 2012-08-14 14:10:05 UTC Comment hidden (obsolete)
Comment 8 Joanmarie Diggs 2012-08-14 14:34:31 UTC
I don't know how I missed the bugmail, but this was never addressed.
Comment 9 Christophe Strobbe 2013-08-07 16:29:27 UTC
Corresponding Apache OpenOffice bug https://issues.apache.org/ooo/show_bug.cgi?id=117256
Comment 10 QA Administrators 2015-04-01 14:40:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01